<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('song_library_cache', function (Blueprint $table) {
            $table->integer('song_id')->primary();
            $table->string('song_name', 255)->nullable();
            $table->string('artistA', 255)->nullable();
            $table->string('artistB', 255)->nullable();
            $table->string('song_filename', 255)->nullable();
            $table->string('artistA_simplified', 255)->nullable();
            $table->string('ArtistB_simplified', 255)->nullable();
            $table->string('artistA_category', 255)->nullable();
            $table->string('artistB_category', 255)->nullable();
            $table->string('song_simplified', 255)->nullable();
            $table->string('situations', 255)->nullable();
            $table->string('vocal', 255)->nullable();
            $table->string('language_name', 50)->nullable();
            $table->string('phonetic_abbr', 255)->nullable();
            $table->string('artistA_phonetic', 255)->nullable();
            $table->string('artistB_phonetic', 255)->nullable();
            $table->string('artistA_pinyin', 255)->nullable();
            $table->string('artistB_pinyin', 255)->nullable();
            $table->string('pinyin_abbr', 255)->nullable();
            $table->integer('song_counts')->nullable();
            $table->dateTime('add_date')->nullable();
            $table->dateTime('updated_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('song_library_cache');
    }
};
